Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.item
Class AudioItem

    java.lang.Object
      org.fourthline.cling.support.model.DIDLObject
          org.fourthline.cling.support.model.item.Item
              org.fourthline.cling.support.model.item.AudioItem

Direct Known Subclasses:
  AudioBook, AudioBroadcast, MusicTrack

    public class AudioItem

extends Item

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.fourthline.cling.support.model.item.Item
`refID`

Fields inherited from class org.fourthline.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`AudioItem()`
`AudioItem(Item other)`
`AudioItem(String id, Container parent, String title, String creator, Res... resource)`
`AudioItem(String id, String parentID, String title, String creator, Res... resource)`

Method Summary
`String` | `getDescription()`
`String` | `getFirstGenre()`
`Person` | `getFirstPublisher()`
`URI` | `getFirstRelation()`
`String` | `getFirstRights()`
`String[]` | `getGenres()`
`String` | `getLanguage()`
`String` | `getLongDescription()`
`Person[]` | `getPublishers()`
`URI[]` | `getRelations()`
`String[]` | `getRights()`
`AudioItem` | `setDescription(String description)`
`AudioItem` | `setGenres(String[] genres)`
`AudioItem` | `setLanguage(String language)`
`AudioItem` | `setLongDescription(String description)`
`AudioItem` | `setPublishers(Person[] publishers)`
`AudioItem` | `setRelations(URI[] relations)`
`AudioItem` | `setRights(String[] rights)`

Methods inherited from class org.fourthline.cling.support.model.item.Item
`getRefID, setRefID`

Methods inherited from class org.fourthline.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### AudioItem

    public AudioItem()

### AudioItem

    public AudioItem(Item other)

### AudioItem

    public AudioItem(String id,
                     Container parent,
                     String title,
                     String creator,
                     Res... resource)

### AudioItem

    public AudioItem(String id,
                     String parentID,
                     String title,
                     String creator,
                     Res... resource)

Method Detail

### getFirstGenre

    public String getFirstGenre()

### getGenres

    public String[] getGenres()

### setGenres

    public AudioItem setGenres(String[] genres)

### getDescription

    public String getDescription()

### setDescription

    public AudioItem setDescription(String description)

### getLongDescription

    public String getLongDescription()

### setLongDescription

    public AudioItem setLongDescription(String description)

### getFirstPublisher

    public Person getFirstPublisher()

### getPublishers

    public Person[] getPublishers()

### setPublishers

    public AudioItem setPublishers(Person[] publishers)

### getFirstRelation

    public URI getFirstRelation()

### getRelations

    public URI[] getRelations()

### setRelations

    public AudioItem setRelations(URI[] relations)

### getLanguage

    public String getLanguage()

### setLanguage

    public AudioItem setLanguage(String language)

### getFirstRights

    public String getFirstRights()

### getRights

    public String[] getRights()

### setRights

    public AudioItem setRights(String[] rights)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.